r4164 - vdr/vdr-plugin-mp3/trunk/debian

Tobias Grimm tiber-guest at alioth.debian.org
Tue Feb 13 00:57:53 CET 2007


Author: tiber-guest
Date: 2007-02-13 00:57:52 +0100 (Tue, 13 Feb 2007)
New Revision: 4164

Modified:
   vdr/vdr-plugin-mp3/trunk/debian/changelog
   vdr/vdr-plugin-mp3/trunk/debian/copyright
   vdr/vdr-plugin-mp3/trunk/debian/mplayer.sh
   vdr/vdr-plugin-mp3/trunk/debian/vdrmplayer.sh.conf
Log:
* Upgraded mplayer.sh to version 0.8.7

Modified: vdr/vdr-plugin-mp3/trunk/debian/changelog
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/changelog	2007-02-11 20:26:55 UTC (rev 4163)
+++ vdr/vdr-plugin-mp3/trunk/debian/changelog	2007-02-12 23:57:52 UTC (rev 4164)
@@ -1,3 +1,9 @@
+vdr-plugin-mp3 (0.9.15-8) experimental; urgency=low
+
+  * Upgraded mplayer.sh to version 0.8.7
+
+ -- Tobias Grimm <tg at e-tobi.net>  Tue, 13 Feb 2007 00:50:32 +0100
+
 vdr-plugin-mp3 (0.9.15-7) experimental; urgency=low
 
   * Added 91_mp3-vdr150.dpatch

Modified: vdr/vdr-plugin-mp3/trunk/debian/copyright
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/copyright	2007-02-11 20:26:55 UTC (rev 4163)
+++ vdr/vdr-plugin-mp3/trunk/debian/copyright	2007-02-12 23:57:52 UTC (rev 4164)
@@ -5,7 +5,8 @@
 
 Upstream Author: Stefan Hülswitt <huels at iname.com>
 
-The mplayer.sh script from Juri Haberland was downloaded from: 
+The mplayer.sh script from Juri Haberland <juri-at-koschikode.com> was
+downloaded from: 
 
   http://batleth.sapienti-sat.org/projects/VDR/
 

Modified: vdr/vdr-plugin-mp3/trunk/debian/mplayer.sh
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/mplayer.sh	2007-02-11 20:26:55 UTC (rev 4163)
+++ vdr/vdr-plugin-mp3/trunk/debian/mplayer.sh	2007-02-12 23:57:52 UTC (rev 4164)
@@ -1,24 +1,17 @@
 #!/bin/bash
 #
-# $Id: mplayer.sh,v 1.41.2.2 2004/11/06 20:58:47 juri Exp $
+# $Id: mplayer.sh,v 1.41.2.7 2007/02/11 15:33:29 juri Exp $
 #
 
 unset LANG
-declare VERSION="0.8.6"
+declare VERSION="0.8.7"
 
 # History (as always in the source code :-)
-# 0.8.6b (by Mysterix mandaxy at gmx.de)
-#       http://vdrportal.de/board/thread.php?postid=411671#post411671
-#       - add check by use mode Traditonell instead of slave for correct handling AID
-#       
-# 0.8.6a (by Mysterix mandaxy at gmx.de)
-#       - add handling AID to parse different Audiolines in mplayer  
-#       - add handling of Playlistfiles (*m3u/*.pls) for parsing playlists to mplayer
-#       - IMPORTANT NOTE:
-#         These changes are needed by new vdr-mp3-plugin version (0-9-14)
-#         and only an workaround! I'm a Noob in this kind of Coding and hope
-#         Juri Haberland (Original Author of this Script) or any other professional one
-#         will write a correct and comfortable Solution. :)
+# 0.8.7 - added 544x480 as valid NTSC resolution (thanks to C.Y.M)
+#	- removed 688x576 from the valid PAL resolutions;
+#	- calculate USE_SPEED with 30 fps instead of 29.97
+#	- use '-vf' and '-af' instead of '-vop' and '-aop', as the
+#	  latter are deprecated
 #
 # 0.8.6 - fixed a copy'n'paste bug regarding the subtitle background 
 #	  alpha color (thanks to Christian Haider)
@@ -448,7 +441,7 @@
         set_pal
       else
         set_ntsc
-	$USE_SPEED && SPEED="-speed 1.19" # 29.97/25 = 1.19
+	$USE_SPEED && SPEED="-speed 1.20" # 30/25 = 1.20
       fi
     fi
   fi
@@ -494,47 +487,22 @@
 declare ORIG_FPS NEW_FPS ORIG_ASPECT VIDEO_FORMAT AUDIO_CODEC
 declare CMDLINE AOUT REMOTE USERDEF SUFFIX
 declare FILE="$1"
+declare SLAVE="$2"
 declare -a XResPAL[0]
 declare -a XResNTSC[0]
 declare FDSTR=""
 declare SUBTITLES=""
 declare DETC=""
 
-
-while shift; do
-  if [ "$1" = "SLAVE" ]; then
-    SLAVE="SLAVE"
-  elif [ "$1" = "AID" ]; then
-      AID="AID"
-      AIDLEVEL="$2"
-    shift
-  fi
-done
-		  
-		  
 echolog "*** Starting mplayer.sh Version $VERSION"
 
-# Check if file a Playlist and set neccassary parameter
-case "$FILE" in
-  *.pls | *.m3u)
-    PLS="true"
-    PLSFILE="$FILE"
-    first=`grep -v -m1 "^#" $FILE`
-    FILE="$first"
-  ;;
-  *)
-    FILE="$FILE"
-  ;;
-esac
-
-
 if test -z "$FILE"; then echolog "*** USAGE: mplayer.sh <File_to_be_played>"; exit; fi
 if ! test -r "$FILE"; then echolog "*** ERROR: Make sure $FILE exists and is readable - otherwise it cannot be played ;-)"; exit; fi
 
 # Check if config file exists!
-declare CFGFIL="/etc/vdr/plugins/vdrmplayer.sh.conf"
+declare CFGFIL="${0}.conf"
 debugvar CFGFIL $CFGFIL
-if ! test -f $CFGFIL; then echolog "*** FATAL: $CFGFIL not found!!! Exiting." ; exit; fi
+if ! test -f $CFGFIL; then echolog "*** FATAL: mplayer.sh.conf not found!!! Exiting." ; exit; fi
 
 # read config file and initialize the variables
 initialize
@@ -580,32 +548,16 @@
 
     if test $MPEG_DIRECT == "true" -a \( $VIDEO_FORMAT == "0x10000001" -o $VIDEO_FORMAT == "0x10000002" \) -a \( \
              \( $PAL  -a $NEW_FPS == "25" -a \( \( $ORIG_X == "352" -a $ORIG_Y == "288" \) -o \( $ORIG_Y == "576" -a \
-             \( $ORIG_X == "352" -o $ORIG_X == "480" -o $ORIG_X == "528" -o $ORIG_X == "544" -o $ORIG_X == "688" -o $ORIG_X == "704" -o $ORIG_X == "720" \) \) \) \) -o \
+             \( $ORIG_X == "352" -o $ORIG_X == "480" -o $ORIG_X == "528" -o $ORIG_X == "544" -o $ORIG_X == "704" -o $ORIG_X == "720" \) \) \) \) -o \
              \( $NTSC -a $NEW_FPS == "30" -a \( \( $ORIG_X == "352" -a $ORIG_Y == "240" \) -o \( $ORIG_Y == "480" -a \
-             \( $ORIG_X == "352" -o $ORIG_X == "480" -o $ORIG_X == "512" -o $ORIG_X == "640" -o $ORIG_X == "704" -o $ORIG_X == "720" \) \) \) \) \
+             \( $ORIG_X == "352" -o $ORIG_X == "480" -o $ORIG_X == "512" -o $ORIG_X == "544" -o $ORIG_X == "640" -o $ORIG_X == "704" -o $ORIG_X == "720" \) \) \) \) \
        \) ; then
       CMDLINE="$MPLAYER -vo $VO $AOUT $FDSTR $CACHESTR $REMOTE $USERDEF"
     else
-      CMDLINE="$MPLAYER -vo $VO $AOUT -vop $VOP:$NEW_FPS,expand=$NEW_X:$REAL_Y:-1:-1:1,scale=$NEW_X:${NEW_Y}${DETC} $SPEED $FDSTR $CACHESTR $REMOTE $SUBTITLES $USERDEF $FORCEIDX"
+      CMDLINE="$MPLAYER -vo $VO $AOUT -vf scale=$NEW_X:${NEW_Y}${DETC},expand=$NEW_X:$REAL_Y:-1:-1:1,$VOP:$NEW_FPS $SPEED $FDSTR $CACHESTR $REMOTE $SUBTITLES $USERDEF $FORCEIDX"
     fi
 fi
 
-
-# Check and Set AID for mplayer to use different Audiolines
-if test "$AID" == "AID";then
- OPTAID=" -aid $AIDLEVEL" 
- CMDLINE="$CMDLINE $OPTAID"
-fi
-
-# Check for Playlist and add neccessary commandlines 
-if test "$PLS" == "true";then
- OPTPLS=" -playlist "
- FILE="$PLSFILE" 
- CMDLINE="$CMDLINE $OPTPLS"
-fi
-
-#echolog "$CMDLINE"
-
 debugvar CMDLINE "$CMDLINE"
 exec $CMDLINE "$FILE"
 exit

Modified: vdr/vdr-plugin-mp3/trunk/debian/vdrmplayer.sh.conf
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/vdrmplayer.sh.conf	2007-02-11 20:26:55 UTC (rev 4163)
+++ vdr/vdr-plugin-mp3/trunk/debian/vdrmplayer.sh.conf	2007-02-12 23:57:52 UTC (rev 4164)
@@ -1,12 +1,16 @@
 # Config File for mplayer.sh ...
 #
-# $Id: mplayer.sh.conf,v 1.24 2004/03/08 13:08:26 juri Exp $
+# $Id: mplayer.sh.conf,v 1.24.2.3 2007/02/11 15:19:35 juri Exp $
 #
 # ***
 # *** Mandatory Values 
 # *** 
 #
 # Where to find mplayer executable ?
+# it must be the full path *including* the binary, e.g.
+# MPLAYER="/usr/bin/mplayer"
+# or just the name of the binary, e.g.:
+# MPLAYER="mplayer"
 MPLAYER="/usr/bin/mplayer"
 
 # Video Out Filter lavc or fame - see mplayer DVB docs for details !
@@ -15,20 +19,31 @@
 
 # Video out device
 # most users will want the default of 'mpegpes', but users with a dxr3
-# need to use 'dxr3'
+# need to use 'dxr3', or users using softdevice might need 'dfbmga'
+# If the DVB card with the MPEG decoder is not the first device as seen
+# by the drivers/VDR, then you have to specify which card it actually is.
+# Do so with 'mpegpes:card=X', where X is the card number (see also AO)
 #VO="dxr3"
+#VO="dfbmga"
+#VO="mpegpes:card=1"
 VO="mpegpes"
 
 # Audio output device and possible additional options
 # most users will want the default of 'mpegpes', but users with a dxr3
 # need to use 'oss:/dev/em8300_ma-0'
+# users using softdevice might want to use 'oss' or 'alsa'
+# If the DVB card with the MPEG decoder is not the first device as seen
+# by the drivers/VDR, then you have to specify which card it actually is.
+# Do so with 'mpegpes:card=X', where X is the card number (see also VO)
 #AO="oss:/dev/em8300_ma-0"
+#AO="alsa"
+#AO="mpegpes:card=1"
 AO="mpegpes"
 
 # X-Resolutions for the DVBs card (smallest value first!)
 #
-XResPAL=(352	480	528	544	688	704	720)
-XResNTSC=(352	480	512	640	704	720)
+XResPAL=(352	480	528	544	704	720)
+XResNTSC=(352	480	512	544	640	704	720)
 
 # Set the following to 'true' or 'false' according to
 # the capabilities of your TV set.
@@ -106,7 +121,7 @@
 DVDLANG="de"
 
 # extra DVD options
-DVDOPTIONS="-aop list=volume:volume=170"
+#DVDOPTIONS="-af volume=+10"
 
 # extra VCD options
 VCDOPTIONS=""
@@ -123,8 +138,8 @@
 # used in mplayer.sh
 # Only for experienced users
 # USERDEF="-what -option you ever -like to give -to mplayer"
-# Use "-osdlevel 0" to hide the mplayer osd (not recommended for dxr3 output)
-USERDEF="-quiet -osdlevel 0"
+USERDEF="-quiet"
+#USERDEF=""
 
 # set to true to enable debugging output
 #DEBUG="true"




More information about the pkg-vdr-dvb-changes mailing list